A series repeats an existing invoice on a schedule and can send each issue automatically.
apiKeyAuth In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuid1 <= length <= 200^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuid"monthly""weekly" | "monthly" | "quarterly" | "semiannual" | "yearly"11 <= value <= 24falsefalse"active""active" | "paused" | "finished"application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/v1/billing/recurring" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "templateDocumentId": "af3c76d9-cf08-4242-9521-23d359f368b8", "startDate": "string" }'API key authentication. Create an API key in your user profile and include it in the x-api-key header.
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"templateDocumentId": "af3c76d9-cf08-4242-9521-23d359f368b8",
"recipientName": "string",
"totalCents": -9007199254740991,
"currency": "eur",
"interval": "weekly",
"intervalCount": -9007199254740991,
"startDate": "string",
"nextRunDate": "string",
"endDate": "string",
"maxOccurrences": -9007199254740991,
"generatedCount": -9007199254740991,
"autoSend": true,
"includeBillableTime": true,
"status": "active",
"lastRunAt": "string",
"createdAt": "string",
"updatedAt": "string"
}"string""string""string""string"